echo off

rem the directory where you want the TLE 
set tledir=%LOCALAPPDATA%\skychart\satellites
echo %tledir%

echo  enter your space-track identifier 
set /p stuser= user name: 
set /p stpass= password: 

echo logon and get cookie
curl -c cookies.txt -b cookies.txt -k "https://www.space-track.org/auth/login" -d "identity=%stuser%&password=%stpass%"

echo get visible tle
curl -b cookies.txt -k "https://www.space-track.org/basicspacedata/query/class/tle_latest/ORDINAL/1/EPOCH/%%3Enow-30/orderby/NORAD_CAT_ID/format/3le/favorites/Visible"  > "%tledir%\visible.tle"

echo get iridium tle                      
curl -b cookies.txt  -k "https://www.space-track.org/basicspacedata/query/class/tle_latest/ORDINAL/1/EPOCH/%%3Enow-30/OBJECT_TYPE/payload/orderby/NORAD_CAT_ID/format/3le/OBJECT_NAME/iridium~~/" > "%tledir%\iridium.tle" 

del cookies.txt

echo end

